
%define name            tpm-tools
%define version         1.3.1
%define release         1

Name:             %{name}
Summary:          Management tools for the TPM hardware
Version:          %{version}
Release:          %{release}%{?dist}
License:          CPL
Group:            Applications/System
Source0:          http://downloads.sourceforge.net/trousers/%{name}-%{version}.tar.gz
URL:              http://trousers.sourceforge.net
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    trousers-devel openssl-devel
Patch0:           tpm-tools-conditionally-build-tpmtoken-manpages-Makefile.in.patch

%description
tpm-tools is a group of tools to manage and utilize the Trusted Computing
Group's TPM hardware. TPM hardware can create, store and use RSA keys
securely (without ever being exposed in memory), verify a platform's
software state using cryptographic hashes and more.

%package        devel
Summary:        Files to use the library routines supplied with tpm-tools
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 

%description    devel
%{name}-devel is a package that contains the libraries and headers
necessary for developing tpm-tools applications.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-pkcs11-support
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT/%{_libdir}/libtpm_unseal.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libtpm_unseal.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README
%attr(755, root, root) %{_bindir}/tpm_*
%attr(755, root, root) %{_sbindir}/tpm_*
%attr(755, root, root) %{_libdir}/libtpm_unseal.so.?.?.?
%{_libdir}/libtpm_unseal.so.0
%{_mandir}/man1/tpm_*
%{_mandir}/man8/tpm_*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libtpm_unseal.so
%{_includedir}/tpm_tools/
%{_mandir}/man3/tpmUnseal*

%changelog
* Sun May 25 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Jan 16 2008 Steve Grubb <sgrubb@redhat.com> - 1.3.1-1
- Initial RHEL import.

